/* **********************************************************************  */

/* FLASHING TEXT/GRAPHICS EXAMPLE   -  PAUL OVERAA                         */

/* Filename:          flash.c                                              */

/* ************************** INCLUDE FILES *****************************  */

#include <exec/types.h>
#include <exec/memory.h>
#include <intuition/intuition.h>
#include <graphics/gfxmacros.h>

/* *************** GENERAL CONSTANT DEFINITION STATEMENTS **************** */

#define  INTUITION_VERSION            0     
#define  GRAPHICS_VERSION             0
#define  SCREENPLANES                 3    
#define  SCREENWIDTH                640   
#define  SCREENHEIGHT               256
#define  MENU_BOX_WIDTH             140
#define  MENU_BOX_HEIGHT             10

/* *************************** Image Data ******************************** */

UWORD chip ImageData[] = {
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0700,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x000D,0xFE00,0x0000,
	0x0000,0x7000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x1F80,0x0001,0xFFFC,0x0000,0x7FFF,
	0x0FFF,0xFF00,0x00FF,0xFFC7,0xE000,0x0001,0xF800,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x7E00,0x0001,0xFFFC,0x0000,0x3FFF,0x0FFF,0xFF00,0x03FF,
	0xFFF7,0xE000,0x0007,0xE000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0001,0xFA00,0x0001,0xFFF2,
	0x0000,0x1FFF,0x0FFF,0xFF00,0x0FFF,0xFFFF,0xE000,0x001F,
	0xA000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0002,0x7440,0x0001,0xFFE8,0x0000,0x1FFF,0x0FFF,
	0xFF00,0x1E7F,0xFFFF,0xE000,0x0027,0x4400,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0003,0x9EA0,
	0x0001,0xFDE0,0x0000,0x3EFF,0x0FFA,0xFF00,0x4EFF,0xFFB7,
	0xE000,0x0039,0xEA00,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0xF1A0,0x0001,0xF8F0,0x0000,
	0x3A3F,0x0FE2,0x3F00,0x916D,0x06FF,0xE000,0x000F,0x1A00,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x17A0,0x0000,0x00E2,0x8000,0xFA10,0x0002,0x1000,
	0x13B8,0x00AF,0xE000,0x0001,0x7A00,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x5A10,0x0000,
	0x02E0,0xC000,0x3240,0x0002,0x4000,0x0530,0x0005,0xE000,
	0x0005,0xA100,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0002,0xBE58,0x0000,0x08E5,0x0003,0xB650,
	0x0026,0x5002,0x1800,0x0000,0xE000,0x002B,0xE580,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0005,
	0x9768,0x0000,0x0FC0,0xF00F,0x6330,0x0043,0x3001,0x5000,
	0x000C,0xE000,0x0059,0x7680,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0004,0x9BE0,0x0000,0x0FC3,
	0xF00A,0x7FB0,0x003F,0xB002,0xBC00,0x0001,0xE000,0x0049,
	0xBE00,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x6100,0x0000,0x0F4C,0xF816,0x7FF0,0x007F,
	0xF00B,0xFD00,0x0006,0xE000,0x0006,0x1000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0011,0x3B80,
	0x0000,0x0FE8,0xF83F,0xFFF0,0x007F,0xF00F,0xEF00,0x0005,
	0xE000,0x0113,0xB800,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0005,0x1E50,0x0000,0x0DD6,0xFC15,
	0x5B50,0x005B,0x500F,0xFF00,0x0003,0xE000,0x0051,0xE500,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x000B,0xDED2,0x0000,0x042A,0x3E78,0xF760,0x0077,0x600B,
	0xDF00,0x0000,0x0000,0x00BD,0xED20,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x003A,0x8C73,0x0000,
	0x0217,0xAE29,0x0E80,0x000E,0x8014,0x5A00,0x0000,0x0000,
	0x03A8,0xC730,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0024,0x8835,0x8000,0x001F,0xAAB5,0x0660,
	0x0006,0x6000,0xC000,0x0000,0x0000,0x0248,0x8358,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0033,
	0xFF81,0x0000,0x0105,0xE396,0x4200,0x0042,0x0000,0x4000,
	0x0000,0x0000,0x033F,0xF810,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0007,0xFFEA,0x0000,0x0147,
	0xF39A,0x0220,0x0002,0x2008,0xD000,0x1FFF,0xFE00,0x007F,
	0xFEA0,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x00DF,0xFFFF,0x8000,0x0183,0xF93C,0x2A10,0x002A,
	0x1002,0xFA00,0x1FFF,0xFE00,0x0DFF,0xFFF8,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x01AF,0xFFF4,
	0x4000,0x09C3,0xF978,0x0F50,0x000F,0x5018,0xFF00,0x1FFF,
	0xFE00,0x1AFF,0xFF44,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x01E7,0xFF87,0xE000,0x0DC1,0xF470,
	0x3BF0,0x003B,0xF00F,0x3F00,0x1FFD,0xFE00,0x1E7F,0xF87E,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x03CB,0xFF0D,0x6000,0x0FC1,0x7EE0,0x7FB0,0x007F,0xB00F,
	0xEC00,0x1FF6,0x7E00,0x3CBF,0xF0D6,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x03E8,0x00EB,0xE000,
	0x0F40,0xE4E0,0x7FF0,0x007F,0xF00F,0xEE00,0x1FD6,0x1E00,
	0x3E80,0x0EBE,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0728,0x00DF,0x3800,0x0680,0x1CD0,0x1FC0,
	0x001F,0xC004,0xF880,0x01F4,0x0000,0x7280,0x0DF3,0x8000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0188,
	0x0007,0x8000,0x0B00,0x22C0,0x7B50,0x007B,0x5007,0xF000,
	0x0044,0xA000,0x1880,0x0078,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0260,0x0063,0x7000,0x0D00,
	0x11C0,0x0720,0x0007,0x2001,0x4C00,0x00F4,0xE000,0x2600,
	0x0637,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x1BE0,0x0029,0x8200,0x0E00,0x0180,0x0280,0x0002,
	0x8001,0x04C0,0x01AC,0x4001,0xBE00,0x0298,0x2000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x30A0,0x0038,
	0x4F00,0x0040,0x01C0,0x0210,0x0002,0x1000,0x0384,0x0004,
	0x0003,0x0A00,0x0384,0xF000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0003,0xFBBE,0x00FF,0xCFE1,0xF87C,0x010F,
	0xE23F,0x0FE2,0x3F00,0x83BF,0x03C4,0x003F,0xBBE0,0x0FFC,
	0xFE00,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0003,
	0xF8FF,0x00FF,0xCFF1,0xFCFC,0x030F,0xFAFF,0x0FFA,0xFF00,
	0x06FF,0xFFF9,0xA03F,0x8FF0,0x0FFC,0xFF00,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0003,0xFFFF,0x00FF,0xFFF1,
	0xFFFC,0x030F,0xFFFF,0x0FFF,0xFF00,0x3DBF,0xFFEF,0x603F,
	0xFFF0,0x0FFF,0xFF00,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0003,0xFFFF,0x00FF,0xFFF1,0xFFFC,0x030F,0xFFFF,
	0x0FFF,0xFF00,0x076F,0xFF7F,0x803F,0xFFF0,0x0FFF,0xFF00,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0003,0xFFFF,
	0x00FF,0xFFF1,0xFFFC,0x020F,0xFFFF,0x0FFF,0xFF00,0x03FF,
	0xFFFF,0x003F,0xFFF0,0x0FFF,0xFF00,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0003,0xFFFF,0x007F,0xFFF1,0xFFFC,
	0x000F,0xFFFF,0x0FFF,0xFF00,0x007F,0xFFF0,0x003F,0xFFF0,
	0x07FF,0xFF00,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0003,
	0xFBC0,0x60F1,0x99FB,0x18F0,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0001,0x9980,0xF199,0x9863,
	0x9998,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0001,0x8180,0xF1C1,0x9863,0xDB00,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0001,0xE181,
	0x98E1,0xF863,0x7B38,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0001,0x8189,0xF839,0x9863,0x3B18,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0001,0x819B,0x0D99,0x9863,0x1998,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0003,0xC3FB,0x0CF1,
	0x99FB,0x18F8,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x001E,0x0000,0x1E00,0x001E,
	0x0000,0x1E00,0x001E,0x0000,0x1E00,0x001E,0x0000,0x1E00,
	0x001E,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x001C,0x0000,0x1C00,0x001C,0x0000,0x1C00,0x001C,
	0x0000,0x1C00,0x001C,0x0000,0x1C00,0x001C,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0002,0x0000,
	0x0200,0x0002,0x0000,0x0200,0x0002,0x0000,0x0200,0x0002,
	0x0000,0x0200,0x0002,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0E2E,0x3C0E,0x2E3C,0x0E2E,0x3C0E,
	0x2E3C,0x0E2E,0x3C0E,0x2E3C,0x0E2E,0x3C0E,0x2E3C,0x0E2E,
	0x3C00,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x1F06,0x781F,0x0678,0x1F06,0x781F,0x0678,0x1F06,0x781F,
	0x0678,0x1F06,0x781F,0x0678,0x1F06,0x7800,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x1E0A,0x121E,0x0A12,
	0x1E0A,0x121E,0x0A12,0x1E0A,0x121E,0x0A12,0x1E0A,0x121E,
	0x0A12,0x1E0A,0x1200,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x1636,0xEC16,0x36EC,0x1636,0xEC16,0x36EC,
	0x1636,0xEC16,0x36EC,0x1636,0xEC16,0x36EC,0x1636,0xEC00,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0F96,
	0xE00F,0x96E0,0x0F96,0xE00F,0x96E0,0x0F96,0xE00F,0x96E0,
	0x0F96,0xE00F,0x96E0,0x0F96,0xE000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x02A6,0x8002,0xA680,0x02A6,
	0x8002,0xA680,0x02A6,0x8002,0xA680,0x02A6,0x8002,0xA680,
	0x02A6,0x8000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x007F,0x8000,0x7F80,0x007F,0x8000,0x7F80,0x007F,
	0x8000,0x7F80,0x007F,0x8000,0x7F80,0x007F,0x8000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0126,0x0001,
	0x2600,0x0126,0x0001,0x2600,0x0126,0x0001,0x2600,0x0126,
	0x0001,0x2600,0x0126,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0556,0x9005,0x5690,0x0556,0x9005,
	0x5690,0x0556,0x9005,0x5690,0x0556,0x9005,0x5690,0x0556,
	0x9000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x08A9,0xBE08,0xA9BE,0x08A9,0xBE08,0xA9BE,0x08A9,0xBE08,
	0xA9BE,0x08A9,0xBE08,0xA9BE,0x08A9,0xBE00,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0815,0xCA08,0x15CA,
	0x0815,0xCA08,0x15CA,0x0815,0xCA08,0x15CA,0x0815,0xCA08,
	0x15CA,0x0815,0xCA00,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x1A14,0x101A,0x1410,0x1A14,0x101A,0x1410,
	0x1A14,0x101A,0x1410,0x1A14,0x101A,0x1410,0x1A14,0x1000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x081D,
	0x0008,0x1D00,0x081D,0x0008,0x1D00,0x081D,0x0008,0x1D00,
	0x081D,0x0008,0x1D00,0x081D,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x000A,0x0000,0x0A00,0x000A,
	0x0000,0x0A00,0x000A,0x0000,0x0A00,0x000A,0x0000,0x0A00,
	0x000A,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0003,0x0000,0x0300,0x0003,0x0000,0x0300,0x0003,
	0x0000,0x0300,0x0003,0x0000,0x0300,0x0003,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0008,0x0000,
	0x0800,0x0008,0x0000,0x0800,0x0008,0x0000,0x0800,0x0008,
	0x0000,0x0800,0x0008,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0100,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x000E,0x0200,0x0000,0x0000,0x1000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0380,0x0001,0x0000,0x0000,0x4000,0x0800,0x0000,0x00C0,
	0x0044,0x0000,0x0000,0x3800,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0780,0x0001,0x800E,
	0x0000,0x6000,0x0C00,0x0000,0x0000,0x0006,0x0000,0x0000,
	0x7800,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0FC0,0x0001,0xC01E,0x0000,0xF000,0x0E00,
	0x0000,0x000F,0xFF07,0x0000,0x0000,0xFC00,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0002,0x1FC0,
	0x0001,0xFFFF,0x0000,0xFEF8,0x0FFE,0xF800,0x21BF,0xFFE3,
	0x0000,0x0021,0xFC00,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0003,0x9FE0,0x0001,0xFFFF,0x8001,
	0xFF3C,0x0FFF,0x3C00,0x317F,0xFFFB,0x0000,0x0039,0xFE00,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0001,0xFFE0,0x0001,0xFFFF,0x8003,0xFFCE,0x0FFF,0xCE00,
	0x6FFF,0x07FD,0x0000,0x001F,0xFE00,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0003,0xFFF0,0x0000,
	0x0FFF,0xC003,0xFFE0,0x007F,0xE001,0xEFFC,0x00FF,0x0000,
	0x003F,0xFF00,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0003,0xF6F0,0x0000,0x0FFF,0xC007,0xFFB0,
	0x007F,0xB003,0xFFF0,0x003F,0x0000,0x003F,0x6F00,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0007,
	0xC2D8,0x0000,0x0FFF,0xE007,0xFFA0,0x007F,0xA003,0xFFE0,
	0x001F,0x0000,0x007C,0x2D80,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0007,0xC1E8,0x0000,0x0E7F,
	0xF00F,0xFEC0,0x007E,0xC007,0xFFC0,0x0003,0x0000,0x007C,
	0x1E80,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x000F,0x01E0,0x0000,0x0E7F,0xF00F,0xFE40,0x007E,
	0x4007,0xF380,0x000E,0x0000,0x00F0,0x1E00,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0007,0x6000,
	0x0000,0x0EF2,0xF81F,0xFE00,0x007E,0x000F,0xE280,0x0000,
	0x8000,0x0076,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x001D,0x3B80,0x0000,0x0E57,0xF83C,
	0x7E00,0x007E,0x000F,0xF000,0x0001,0xC000,0x01D3,0xB800,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0007,0x1F50,0x0000,0x0C29,0xFC16,0xDA00,0x005A,0x000F,
	0xC000,0x0003,0xE000,0x0071,0xF500,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x000B,0xDFD2,0x0000,
	0x0415,0xBE7F,0xF600,0x0076,0x000B,0xC000,0x0000,0x0000,
	0x00BD,0xFD20,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x003B,0x8FE1,0x0000,0x0208,0x6E2E,0x0E00,
	0x000E,0x0014,0x4000,0x0000,0x0000,0x03B8,0xFE10,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0027,
	0x8FE0,0x0000,0x0000,0x6A3A,0x0600,0x0006,0x0000,0xC000,
	0x0000,0x0000,0x0278,0xFE00,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0037,0x07E0,0x0000,0x010A,
	0x0318,0x4200,0x0042,0x0000,0x4000,0x0000,0x0000,0x0370,
	0x7E00,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x000C,0x0070,0x0000,0x0140,0x1304,0x0220,0x0002,
	0x2000,0x5000,0x1000,0x0200,0x00C0,0x0700,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x001F,0xFFF8,
	0x0000,0x0180,0x0820,0x0210,0x0002,0x1000,0x7A00,0x1800,
	0x0400,0x01FF,0xFF80,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x001F,0xFFEA,0x0000,0x01C0,0x0040,
	0x0350,0x0003,0x5000,0x7F00,0x1C00,0x0800,0x01FF,0xFEA0,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x003F,0xFFFC,0x0000,0x01C0,0x0540,0x03F0,0x0003,0xF000,
	0x3F00,0x1FFD,0xF000,0x03FF,0xFFC0,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0037,0xFEF2,0x8000,
	0x01C0,0x0380,0x03B0,0x0003,0xB000,0x3F00,0x1FF4,0x7800,
	0x037F,0xEF28,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0040,0x0016,0x1000,0x01C0,0x0100,0x03F0,
	0x0003,0xF000,0x3F80,0x1FF4,0x1C00,0x0400,0x0161,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0002,0xC000,0x09C0,0x0100,0x63F0,0x0063,0xF003,0x1F80,
	0x01F4,0x0000,0x0000,0x002C,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0680,0x0001,0x7800,0x05C0,
	0x0100,0x07F0,0x0007,0xF000,0x1FC0,0x0046,0xA000,0x6800,
	0x0017,0x8000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0D60,0x0063,0x8C00,0x03C0,0x0000,0x7BF0,0x007B,
	0xF002,0xBBE0,0x00F7,0xE000,0xD600,0x0638,0xC000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x05F0,0x003B,
	0xFE00,0x01C0,0x0000,0x7FF0,0x007F,0xF002,0xFF30,0x01FF,
	0xE000,0x5F00,0x03BF,0xE000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x3FE0,0x003F,0xB700,0x0FC0,0x0040,
	0x7FF0,0x007F,0xF001,0xFE78,0x01FF,0xE003,0xFE00,0x03FB,
	0x7000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0002,
	0x3FE0,0x008F,0xFF01,0x1FE0,0x0008,0x7FF0,0x087F,0xF000,
	0xFF40,0x003E,0xE023,0xFE00,0x08FF,0xF000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0003,0x1F80,0x00C0,0xFC01,
	0x8F80,0x000C,0x1FC0,0x0C1F,0xC000,0x7FC0,0x001F,0x2031,
	0xF800,0x0C0F,0xC000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0003,0x8600,0x00E0,0x3001,0xC300,0x000E,0x0600,
	0x0E06,0x0000,0x3FF0,0x003F,0xC038,0x6000,0x0E03,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0003,0xFFF8,
	0x00FF,0xFF81,0xFFE0,0x000F,0xFFF8,0x0FFF,0xF800,0x0FFE,
	0x03FF,0xC03F,0xFF80,0x0FFF,0xF800,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0003,0xFFFC,0x00FF,0xFFC1,0xFFF0,
	0x000F,0xFFFC,0x0FFF,0xFC00,0x03FF,0xFFFF,0x003F,0xFFC0,
	0x0FFF,0xFC00,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0003,0xFFFE,0x007F,0xFFE1,0xFFF8,0x000F,0xFFFE,0x0FFF,
	0xFE00,0x007F,0xFFF0,0x003F,0xFFE0,0x07FF,0xFE00,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0180,0x0001,0xE000,0x0000,
	0x0000,0x0003,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0200,0x0002,0x0000,0x0000,0x0000,0x0004,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x00FF,0xE600,0x0006,
	0x0040,0x0000,0x000F,0xC00C,0x0000,0x0000,0x07FC,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0118,0x0600,0x0006,0x0080,0x0000,0x0010,
	0x000C,0x0000,0x0000,0x0986,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0018,
	0x0600,0x0006,0x0000,0x0000,0x0020,0x000C,0x0000,0x0000,
	0x0183,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0018,0x061F,0x0F86,0x60C2,
	0x607C,0x0060,0x0F8C,0x3E31,0x8CE0,0x0181,0x8F09,0x8C1F,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x007F,0x8623,0x1846,0xB1C6,0xB08C,0x0060,0x10CC,
	0x4371,0x9D00,0x0181,0x919A,0xD621,0x8000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0098,0x0663,
	0x0E07,0x30CF,0x318C,0x0060,0x30CC,0xC331,0x8E00,0x0181,
	0xB13C,0xE661,0x8000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0018,0x06E7,0x4386,0x34D6,0x359C,
	0x0060,0x30CD,0xC333,0xAC00,0x0181,0x3E18,0xC6E1,0x8000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0018,0x076B,0x90C6,0x38E6,0x39AC,0x0060,0x308E,0xC235,
	0xCC00,0x0182,0x3098,0xC761,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0018,0x0631,0x0F86,
	0x30C6,0x30CC,0x0060,0x1F0C,0x7C18,0x8C00,0x03BC,0x1F18,
	0xC63E,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0018,0x0000,0x0000,0x0000,0x010C,0x0060,
	0x0000,0x0000,0x0000,0x0400,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0018,
	0x0000,0x0000,0x0000,0x030C,0x0030,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0018,0x0000,0x0000,0x0000,
	0x030C,0x0018,0x4000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0010,0x0000,0x0000,0x0000,0x0188,0x000F,0x8000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x01E0,0x0000,
	0x0000,0x0000,0x00F0,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0198,
	0xF3F8,0x020B,0xFB19,0x9801,0xF8E0,0x00F1,0xF863,0xF1F8,
	0x0063,0x1BE0,0x00F1,0xF8E3,0xF003,0xFBC0,0x60F1,0x99FB,
	0x18F0,0x03E3,0xFA08,0xE000,0x0199,0x9998,0x0319,0x9B99,
	0x9801,0x69B0,0x0199,0x68F1,0x9968,0x00F3,0x99B0,0x0199,
	0x69B1,0x9801,0x9980,0xF199,0x9863,0x9998,0x01B1,0x9B19,
	0xB000,0x0199,0xC180,0x03B9,0x83D9,0x9800,0x6318,0x01C0,
	0x60F1,0x9860,0x00F3,0xD998,0x01C0,0x6319,0x9801,0x8180,
	0xF1C1,0x9863,0xDB00,0x0199,0x83BB,0x1800,0x0198,0xE1E0,
	0x03F9,0xE379,0x9800,0x6318,0x00E0,0x6199,0xF060,0x019B,
	0x7998,0x00E0,0x6319,0xF001,0xE181,0x98E1,0xF863,0x7B38,
	0x0199,0xE3FB,0x1800,0x0198,0x3980,0x0359,0x8339,0x9800,
	0x6318,0x0038,0x61F9,0xB060,0x01FB,0x3998,0x0038,0x6319,
	0x8001,0x8189,0xF839,0x9863,0x3B18,0x0199,0x835B,0x1800,
	0x0199,0x9998,0x0319,0x9B19,0x9800,0x61B0,0x0198,0x630D,
	0x9860,0x030F,0x19B0,0x0198,0x61B1,0x8001,0x819B,0x0D99,
	0x9863,0x1998,0x01B1,0x9B19,0xB000,0x00F8,0xF3F8,0x031B,
	0xFB18,0xF800,0xF0E0,0x00F0,0xF30F,0x8CF0,0x030F,0x1BE0,
	0x00F0,0xF0E3,0xC003,0xC3FB,0x0CF1,0x99FB,0x18F8,0x03E3,
	0xFB18,0xE000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0006,0x31BE,0x001F,
	0x8E00,0x0E19,0x9F9F,0x8031,0x99BF,0xB180,0x30CE,0x1986,
	0x30FF,0x800F,0x3FBF,0xB180,0x3FB1,0x8E19,0x8F19,0x8000,
	0x0000,0x0000,0x000F,0x399B,0x0016,0x9B00,0x1B19,0x8616,
	0x8031,0x9999,0xB980,0x30DB,0x1986,0x30D9,0x8019,0x9999,
	0xB980,0x19B9,0x9B19,0x9999,0x8000,0x0000,0x0000,0x000F,
	0x3D99,0x8006,0x3180,0x3199,0x8606,0x0031,0x9998,0x3D80,
	0x19B1,0x998C,0x1998,0x001C,0x1818,0x3D80,0x183D,0xB199,
	0xB019,0x8000,0x0000,0x0000,0x0019,0xB799,0x8006,0x3180,
	0x3199,0x8606,0x0035,0x9F9E,0x3780,0x0F31,0x9980,0x199E,
	0x000E,0x1E1E,0x3780,0x1E37,0xB199,0xB39F,0x8000,0x0000,
	0x0000,0x001F,0xB399,0x8006,0x3180,0x3199,0x8606,0x003F,
	0x9998,0x3380,0x0631,0x9980,0x0F18,0x0003,0x9818,0x3380,
	0x1833,0xB199,0xB199,0x8000,0x0000,0x0000,0x0030,0xF19B,
	0x0006,0x1B00,0x1B19,0x8606,0x003B,0x9999,0xB180,0x061B,
	0x1980,0x0F19,0x8019,0x9999,0xB180,0x19B1,0x9B19,0x9999,
	0x8600,0x0000,0x0000,0x0030,0xF1BE,0x000F,0x0E00,0x0F0F,
	0x9F8F,0x0031,0x99BF,0xB180,0x0F0E,0x0F80,0x063F,0x800F,
	0x3FBF,0xB180,0x3FB1,0x8E0F,0x8F99,0x8600,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0180,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0022,0x0000,
	0x2200,0x0022,0x0000,0x2200,0x0022,0x0000,0x2200,0x0022,
	0x0000,0x2200,0x0022,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x003C,0x0000,0x3C00,0x003C,0x0000,
	0x3C00,0x003C,0x0000,0x3C00,0x003C,0x0000,0x3C00,0x003C,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0038,0x0000,0x3800,0x0038,0x0000,0x3800,0x0038,0x0000,
	0x3800,0x0038,0x0000,0x3800,0x0038,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0098,0x0400,0x9804,
	0x0098,0x0400,0x9804,0x0098,0x0400,0x9804,0x0098,0x0400,
	0x9804,0x0098,0x0400,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x11DC,0xE011,0xDCE0,0x11DC,0xE011,0xDCE0,
	0x11DC,0xE011,0xDCE0,0x11DC,0xE011,0xDCE0,0x11DC,0xE000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x07D3,
	0xE207,0xD3E2,0x07D3,0xE207,0xD3E2,0x07D3,0xE207,0xD3E2,
	0x07D3,0xE207,0xD3E2,0x07D3,0xE200,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x00E2,0x9C00,0xE29C,0x00E2,
	0x9C00,0xE29C,0x00E2,0x9C00,0xE29C,0x00E2,0x9C00,0xE29C,
	0x00E2,0x9C00,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x01F7,0x7001,0xF770,0x01F7,0x7001,0xF770,0x01F7,
	0x7001,0xF770,0x01F7,0x7001,0xF770,0x01F7,0x7000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x007F,0x8000,
	0x7F80,0x007F,0x8000,0x7F80,0x007F,0x8000,0x7F80,0x007F,
	0x8000,0x7F80,0x007F,0x8000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x03FF,0xE003,0xFFE0,0x03FF,0xE003,
	0xFFE0,0x03FF,0xE003,0xFFE0,0x03FF,0xE003,0xFFE0,0x03FF,
	0xE000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0FFF,0xFC0F,0xFFFC,0x0FFF,0xFC0F,0xFFFC,0x0FFF,0xFC0F,
	0xFFFC,0x0FFF,0xFC0F,0xFFFC,0x0FFF,0xFC00,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x1E7E,0x7E1E,0x7E7E,
	0x1E7E,0x7E1E,0x7E7E,0x1E7E,0x7E1E,0x7E7E,0x1E7E,0x7E1E,
	0x7E7E,0x1E7E,0x7E00,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x19D9,0x3A19,0xD93A,0x19D9,0x3A19,0xD93A,
	0x19D9,0x3A19,0xD93A,0x19D9,0x3A19,0xD93A,0x19D9,0x3A00,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x1990,
	0x6019,0x9060,0x1990,0x6019,0x9060,0x1990,0x6019,0x9060,
	0x1990,0x6019,0x9060,0x1990,0x6000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0619,0x3C06,0x193C,0x0619,
	0x3C06,0x193C,0x0619,0x3C06,0x193C,0x0619,0x3C06,0x193C,
	0x0619,0x3C00,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0004,0x0000,0x0400,0x0004,0x0000,0x0400,0x0004,
	0x0000,0x0400,0x0004,0x0000,0x0400,0x0004,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x000C,0x0000,
	0x0C00,0x000C,0x0000,0x0C00,0x000C,0x0000,0x0C00,0x000C,
	0x0000,0x0C00,0x000C,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x001E,0x0000,0x1E00,0x001E,0x0000,
	0x1E00,0x001E,0x0000,0x1E00,0x001E,0x0000,0x1E00,0x001E,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0001,0x0000,
	0x0100,0x0000,0x0000,0x2000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0003,0x0000,0x0300,0x0003,0xFC00,
	0x6000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0001,0x8000,0x0000,0x3DC0,0x0000,
	0x1DFF,0x01F9,0xFF00,0x001F,0xFF80,0xE000,0x0018,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x7000,0x0000,0x71E0,0x0000,0x1DFF,0x03C1,0xFF00,
	0x007F,0xFFF0,0xE000,0x0007,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x1800,0x0000,
	0xC1E0,0x0000,0x39FF,0x0701,0xFF00,0x00FF,0x07F8,0xE000,
	0x0001,0x8000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x3800,0x0000,0x01F0,0x0000,0x39F0,
	0x0001,0xF000,0x01FC,0x00FC,0xE000,0x0003,0x8000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x3D00,0x0000,0x01F8,0x0000,0x71F0,0x0001,0xF000,0x03F0,
	0x003E,0xE000,0x0003,0xD000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x7D20,0x0000,0x01F8,
	0x0000,0x71F0,0x0001,0xF000,0x07E0,0x001F,0xE000,0x0007,
	0xD200,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x7E10,0x0000,0x01FC,0x0000,0xE1F0,0x0001,
	0xF000,0x0FC0,0x000F,0xE000,0x0007,0xE100,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0xFE1C,
	0x0000,0x01FC,0x0001,0xE1F0,0x0001,0xF000,0x0F80,0x000F,
	0xE000,0x000F,0xE1C0,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0008,0xBFFC,0x0000,0x01FF,0x0001,
	0xC1F0,0x0001,0xF000,0x1F80,0x0007,0xE000,0x008B,0xFFC0,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0002,0xE47E,0x0000,0x01FF,0x0003,0xC1F0,0x0001,0xF000,
	0x1F00,0x0007,0xE000,0x002E,0x47E0,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0018,0xC0AE,0x0000,
	0x03FF,0x002B,0xA5F0,0x0025,0xF000,0x3F00,0x0003,0xE000,
	0x018C,0x0AE0,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0034,0x002D,0x0000,0x0BFF,0xC007,0x89F0,
	0x0009,0xF014,0x3F00,0x0000,0x0000,0x0340,0x02D0,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0004,
	0x001E,0x0000,0x0DDF,0xD057,0x71F0,0x0071,0xF00B,0xBE00,
	0x0000,0x0000,0x0040,0x01E0,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0058,0x001F,0x8000,0x0FDF,
	0xD54F,0x79F0,0x0079,0xF01F,0x3E00,0x0000,0x0000,0x0580,
	0x01F8,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0048,0x001F,0x8000,0x0ECF,0xFC6E,0x3DF0,0x003D,
	0xF01F,0xBE00,0x0000,0x0000,0x0480,0x01F8,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x00F0,0x000F,
	0xC000,0x0E87,0xEC7E,0x7DD0,0x007D,0xD01F,0xAE00,0x0000,
	0x0000,0x0F00,0x00FC,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x00E0,0x0007,0xC000,0x0E47,0xF6DC,
	0x7DE0,0x007D,0xE01F,0x8400,0x0000,0x0200,0x0E00,0x007C,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x01FF,0xFFFF,0xE000,0x0E03,0xFEBC,0x7CA0,0x007C,0xA01F,
	0x8000,0x0000,0x0600,0x1FFF,0xFFFE,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x01DF,0xFFFB,0xE000,
	0x0E01,0xFAB8,0x7C00,0x007C,0x000F,0xC000,0x03F3,0xFE00,
	0x1DFF,0xFFBE,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x03FF,0xFFFF,0xF000,0x0E01,0xFC78,0x7C40,
	0x007C,0x400F,0xC000,0x07CB,0xFE00,0x3FFF,0xFFFF,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x03BC,
	0x00FD,0xF000,0x0E00,0xFEF0,0x7C00,0x007C,0x000F,0xC000,
	0x0F0B,0xFE00,0x3BC0,0x0FDF,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x07F8,0x00FD,0xF800,0x0E00,
	0xFFF0,0x7C00,0x007C,0x0007,0xE000,0x000B,0xE000,0x7F80,
	0x0FDF,0x8000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0778,0x007E,0xF800,0x0E00,0x7FE0,0x7C00,0x007C,
	0x0007,0xE000,0x00B9,0x4000,0x7780,0x07EF,0x8000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0F90,0x001C,
	0xFC00,0x0E00,0x3FE0,0x7C00,0x007C,0x0003,0xF000,0x0008,
	0x0000,0xF900,0x01CF,0xC000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x1E00,0x0004,0x7C00,0x0E00,0x3FC0,
	0x7C00,0x007C,0x0003,0xF800,0x0000,0x0001,0xE000,0x0047,
	0xC000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0E00,0x0000,0x7800,0x0E00,0x1F80,0x7C00,0x007C,0x0001,
	0xFC00,0x0000,0x0000,0xE000,0x0007,0x8000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0401,0x0000,0x3010,
	0x0600,0x1F80,0x1C00,0x001C,0x0000,0xFE00,0x0407,0x0000,
	0x4010,0x0003,0x0100,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0403,0x0000,0x3030,0x0204,0x0F80,0x0401,
	0x0004,0x0100,0x7F80,0x000F,0xC000,0x4030,0x0003,0x0300,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0007,
	0x0000,0x0070,0x000C,0x0700,0x0003,0x0000,0x0300,0x3FC0,
	0x001F,0xE000,0x0070,0x0000,0x0700,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x7FFF,0x001F,0xFFF0,0x3FFC,
	0x0701,0xFFFF,0x01FF,0xFF00,0x0FF8,0x00FF,0xC007,0xFFF0,
	0x01FF,0xFF00,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0xFFFF,0x003F,0xFFF0,0x7FFC,0x0203,0xFFFF,0x03FF,
	0xFF00,0x03FF,0xFFFF,0x000F,0xFFF0,0x03FF,0xFF00,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0001,0xFFFF,0x00FF,
	0xFFF0,0xFFFC,0x0007,0xFFFF,0x07FF,0xFF00,0x007F,0xFFF0,
	0x001F,0xFFF0,0x0FFF,0xFF00,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0198,0xF3F8,0x020B,0xFB19,
	0x9801,0xF8E0,0x00F1,0xF863,0xF1F8,0x0063,0x1BE0,0x00F1,
	0xF8E3,0xF003,0xFBC0,0x60F1,0x99FB,0x18F0,0x03E3,0xFA08,
	0xE000,0x0199,0x9998,0x0319,0x9B99,0x9801,0x69B0,0x0199,
	0x68F1,0x9968,0x00F3,0x99B0,0x0199,0x69B1,0x9801,0x9980,
	0xF199,0x9863,0x9998,0x01B1,0x9B19,0xB000,0x0199,0xC180,
	0x03B9,0x83D9,0x9800,0x6318,0x01C0,0x60F1,0x9860,0x00F3,
	0xD998,0x01C0,0x6319,0x9801,0x8180,0xF1C1,0x9863,0xDB00,
	0x0199,0x83BB,0x1800,0x0198,0xE1E0,0x03F9,0xE379,0x9800,
	0x6318,0x00E0,0x6199,0xF060,0x019B,0x7998,0x00E0,0x6319,
	0xF001,0xE181,0x98E1,0xF863,0x7B38,0x0199,0xE3FB,0x1800,
	0x0198,0x3980,0x0359,0x8339,0x9800,0x6318,0x0038,0x61F9,
	0xB060,0x01FB,0x3998,0x0038,0x6319,0x8001,0x8189,0xF839,
	0x9863,0x3B18,0x0199,0x835B,0x1800,0x0199,0x9998,0x0319,
	0x9B19,0x9800,0x61B0,0x0198,0x630D,0x9860,0x030F,0x19B0,
	0x0198,0x61B1,0x8001,0x819B,0x0D99,0x9863,0x1998,0x01B1,
	0x9B19,0xB000,0x00F8,0xF3F8,0x031B,0xFB18,0xF800,0xF0E0,
	0x00F0,0xF30F,0x8CF0,0x030F,0x1BE0,0x00F0,0xF0E3,0xC003,
	0xC3FB,0x0CF1,0x99FB,0x18F8,0x03E3,0xFB18,0xE000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0006,0x31BE,0x001F,0x8E00,0x0E19,0x9F9F,
	0x8031,0x99BF,0xB180,0x30CE,0x1986,0x30FF,0x800F,0x3FBF,
	0xB180,0x3FB1,0x8E19,0x8F19,0x8000,0x0000,0x0000,0x000F,
	0x399B,0x0016,0x9B00,0x1B19,0x8616,0x8031,0x9999,0xB980,
	0x30DB,0x1986,0x30D9,0x8019,0x9999,0xB980,0x19B9,0x9B19,
	0x9999,0x8000,0x0000,0x0000,0x000F,0x3D99,0x8006,0x3180,
	0x3199,0x8606,0x0031,0x9998,0x3D80,0x19B1,0x998C,0x1998,
	0x001C,0x1818,0x3D80,0x183D,0xB199,0xB019,0x8000,0x0000,
	0x0000,0x0019,0xB799,0x8006,0x3180,0x3199,0x8606,0x0035,
	0x9F9E,0x3780,0x0F31,0x9980,0x199E,0x000E,0x1E1E,0x3780,
	0x1E37,0xB199,0xB39F,0x8000,0x0000,0x0000,0x001F,0xB399,
	0x8006,0x3180,0x3199,0x8606,0x003F,0x9998,0x3380,0x0631,
	0x9980,0x0F18,0x0003,0x9818,0x3380,0x1833,0xB199,0xB199,
	0x8000,0x0000,0x0000,0x0030,0xF19B,0x0006,0x1B00,0x1B19,
	0x8606,0x003B,0x9999,0xB180,0x061B,0x1980,0x0F19,0x8019,
	0x9999,0xB180,0x19B1,0x9B19,0x9999,0x8600,0x0000,0x0000,
	0x0030,0xF1BE,0x000F,0x0E00,0x0F0F,0x9F8F,0x0031,0x99BF,
	0xB180,0x0F0E,0x0F80,0x063F,0x800F,0x3FBF,0xB180,0x3FB1,
	0x8E0F,0x8F99,0x8600,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0180,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0001,0x0000,0x0100,0x0001,0x0000,
	0x0100,0x0001,0x0000,0x0100,0x0001,0x0000,0x0100,0x0001,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0003,0x0000,0x0300,0x0003,0x0000,0x0300,0x0003,0x0000,
	0x0300,0x0003,0x0000,0x0300,0x0003,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0007,0x0000,0x0700,
	0x0007,0x0000,0x0700,0x0007,0x0000,0x0700,0x0007,0x0000,
	0x0700,0x0007,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0006,0x0200,0x0602,0x0006,0x0200,0x0602,
	0x0006,0x0200,0x0602,0x0006,0x0200,0x0602,0x0006,0x0200,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0006,
	0x0E00,0x060E,0x0006,0x0E00,0x060E,0x0006,0x0E00,0x060E,
	0x0006,0x0E00,0x060E,0x0006,0x0E00,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x180E,0x1E18,0x0E1E,0x180E,
	0x1E18,0x0E1E,0x180E,0x1E18,0x0E1E,0x180E,0x1E18,0x0E1E,
	0x180E,0x1E00,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0F0D,0x7C0F,0x0D7C,0x0F0D,0x7C0F,0x0D7C,0x0F0D,
	0x7C0F,0x0D7C,0x0F0D,0x7C0F,0x0D7C,0x0F0D,0x7C00,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x03CD,0xF003,
	0xCDF0,0x03CD,0xF003,0xCDF0,0x03CD,0xF003,0xCDF0,0x03CD,
	0xF003,0xCDF0,0x03CD,0xF000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0077,0x8000,0x7780,0x0077,0x8000,
	0x7780,0x0077,0x8000,0x7780,0x0077,0x8000,0x7780,0x0077,
	0x8000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0014,0x0000,0x1400,0x0014,0x0000,0x1400,0x0014,0x0000,
	0x1400,0x0014,0x0000,0x1400,0x0014,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0075,0x0000,0x7500,
	0x0075,0x0000,0x7500,0x0075,0x0000,0x7500,0x0075,0x0000,
	0x7500,0x0075,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x01E7,0xC001,0xE7C0,0x01E7,0xC001,0xE7C0,
	0x01E7,0xC001,0xE7C0,0x01E7,0xC001,0xE7C0,0x01E7,0xC000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x07C7,
	0xF407,0xC7F4,0x07C7,0xF407,0xC7F4,0x07C7,0xF407,0xC7F4,
	0x07C7,0xF407,0xC7F4,0x07C7,0xF400,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x078E,0x7E07,0x8E7E,0x078E,
	0x7E07,0x8E7E,0x078E,0x7E07,0x8E7E,0x078E,0x7E07,0x8E7E,
	0x078E,0x7E00,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0E26,0x3C0E,0x263C,0x0E26,0x3C0E,0x263C,0x0E26,
	0x3C0E,0x263C,0x0E26,0x3C0E,0x263C,0x0E26,0x3C00,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x003F,0x0000,
	0x3F00,0x003F,0x0000,0x3F00,0x003F,0x0000,0x3F00,0x003F,
	0x0000,0x3F00,0x003F,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x003F,0x0000,0x3F00,0x003F,0x0000,
	0x3F00,0x003F,0x0000,0x3F00,0x003F,0x0000,0x3F00,0x003F,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x001E,0x0000,0x1E00,0x001E,0x0000,0x1E00,0x001E,0x0000,
	0x1E00,0x001E,0x0000,0x1E00,0x001E,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
	0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000
};

struct Image TitleImage = {
	0,0,	/* XY origin relative to container TopLeft */
	331,105,	/* Image width and height in pixels */
	3,	/* number of bitplanes in Image */
	ImageData,	/* pointer to ImageData */
	0x0007,0x0000,	/* PlanePick and PlaneOnOff */
	NULL	/* next Image structure */
};



/* ************************ COLOUR TABLE ********************************* */

UWORD colourtable[] = {
	0x000,	/* colour #0 */
	0x404,	/* colour #1 */
	0x606,	/* colour #2 */
	0x808,	/* colour #3 */
	0xA0A,	/* colour #4 */
	0xC0C,	/* colour #5 */
	0xE0E,	/* colour #6 */
	0xFFF  	/* colour #7 */
};

/* *************************** MENU 1 DATA ******************************* */

struct IntuiText menutext2={2,0,JAM1,2,1,NULL,"Quit",NULL};

struct MenuItem menu_item2 = {
	
        NULL,
        0,20,  /* left edge top edge  */
        MENU_BOX_WIDTH,MENU_BOX_HEIGHT,  /* width height */
        ITEMTEXT|ITEMENABLED|HIGHCOMP, /* flags */
        NULL, /* mutual exclude */
        &menutext2, /* item fill points to an IntuiText structure */
        NULL,  /* select fill */
        NULL,  /* command field */
        NULL,
        NULL
        
};

struct IntuiText menutext1={2,0,JAM1,2,1,NULL,"Stop",NULL};

struct MenuItem menu_item1 = {
	
        &menu_item2,
        0,10,  /* left edge top edge  */
        MENU_BOX_WIDTH,MENU_BOX_HEIGHT,  /* width height */
        ITEMTEXT|ITEMENABLED|HIGHCOMP, /* flags */
        NULL, /* mutual exclude */
        &menutext1, /* item fill points to an IntuiText structure */
        NULL,  /* select fill */
        NULL,  /* command field */
        NULL,
        NULL
        
};

struct IntuiText menutext0={2,0,JAM1,2,1,NULL,"Start",NULL};

struct MenuItem menu_item0 = {
	
        &menu_item1,
        0,0,  /* left edge top edge  */
        MENU_BOX_WIDTH,MENU_BOX_HEIGHT,  /* width height */
        ITEMTEXT|ITEMENABLED|HIGHCOMP, /* flags */
        NULL, /* mutual exclude */
        &menutext0, /* item fill points to an IntuiText structure */
        NULL,  /* select fill */
        NULL,  /* command field */
        NULL,
        NULL
        
};

struct Menu menu1 = {
        NULL,
        0,0,  /* left edge top edge */
        120,0,  /* width and height */
        MENUENABLED,
        "FUNCTION",
        &menu_item0
};

/* ****************** STRUCTURES FOR SCREEN AND WINDOW ******************* */

struct NewScreen NewScreen = {
   0,0,           /* top left */
   SCREENWIDTH,SCREENHEIGHT, /* width and height */
   SCREENPLANES, /* depth, i.e. the number of bitplanes */
   2,6,          /* detail and block pens - black on white background */
   HIRES,        /* ViewModes */
   CUSTOMSCREEN, 
   NULL,          /* Accept Default Font */
   NULL,          /* No Title */
   NULL,          /* No Gadgets */
   NULL     
};

struct NewWindow NewWindow = {
   0,0,   /* window XY origin relative to TopLeft of screen */
   SCREENWIDTH,SCREENHEIGHT, /* window width and height */
   -1,-1,   /* detail and block pens same as screen */
   MENUPICK,   /* IDCMP flags */
   SMART_REFRESH+BORDERLESS+ACTIVATE, /* other window flags */
   NULL,   /* first gadget in gadget list */
   NULL,   /* custom CHECKMARK imagery */
   NULL,   /* window title */
   NULL,   /* custom screen - resource handler sets this up */
   NULL,   /* custom bitmap */
   0,0, /* minimum width and height */
   0,0, /* maximum width and height */
   CUSTOMSCREEN   /* destination screen type */
};

/* *************** AMIGA RESOURCE "FUNCTION NUMBERS" ********************* */

#define  OPEN_INTUITION_LIBRARY    1
#define  OPEN_GRAPHICS_LIBRARY     2
#define  OPEN_CUSTOM_SCREEN        3
#define  OPEN_WINDOW               4
#define  SET_MENU_STRIP            5

UBYTE resource_vector[6] = {5,    /* count of operation labels to follow */
                            OPEN_INTUITION_LIBRARY,
                            OPEN_GRAPHICS_LIBRARY,
                            OPEN_CUSTOM_SCREEN,
                            OPEN_WINDOW,
                            SET_MENU_STRIP
                           };

/* a few global variables I'll use for system pointers etc. */

struct   IntuitionBase   *IntuitionBase;
struct   GfxBase         *GfxBase;
struct   Screen          *global_screen_p;
struct   Window          *global_window_p;
struct   RastPort        *global_rastport_p;
struct   ViewPort        *g_viewport_p; 
BOOL     g_flash_on=FALSE, g_exit_flag=FALSE;
ULONG    g_IDCMP_mask;

main()

{

BOOL   allocate_resource(),begin_block(); 
void   end_block();
ULONG  class, item_number;
struct IntuiMessage *message, *GetMsg();
UWORD  code;

if (begin_block()==TRUE) exit(FALSE); /* grab required resources or quit */

LoadRGB4(g_viewport_p,&colourtable,8); ScreenToFront(global_screen_p); 

/* Now we can set images/text for the display... */

SetRast(global_rastport_p,0); 

DrawImage(global_rastport_p,&TitleImage,150,60);

/* ======================================================================= */
/*                    M A I N - M E N U - B L O C K                        */
/* ----------------------------------------------------------------------- */

      g_IDCMP_mask=(1<<global_window_p->UserPort->mp_SigBit);

      do {Wait(g_IDCMP_mask); message=GetMsg(global_window_p->UserPort);

         do{
            class=message->Class; code=message->Code;
            ReplyMsg(message);

            switch  (class) {
                             case MENUPICK: item_number=ITEMNUM(code);			     
                             
                             break;

                             default: break;
                            }

           message=GetMsg(global_window_p->UserPort);

           }while(message);

      if(item_number==0) {if (!g_flash_on) {FlashOn();g_flash_on=TRUE;}} 

      if(item_number==1) {if (g_flash_on) {FlashOff();g_flash_on=FALSE;}} 

      if(item_number==2) {g_exit_flag=TRUE;} 

      }while(!g_exit_flag);


/* user has decided to quit so we deallocate/closedown like this... */

if(g_flash_on) FlashOff();

end_block(); /* Then quit using my deallocation technique */

}

/* _______________________________________________________________________ */

BOOL begin_block()

{

UBYTE i,j; BOOL allocate_resource(),error_flag=FALSE;void deallocate_resource();

for (i=1;i<=resource_vector[0];i++)

      { error_flag=allocate_resource(resource_vector[i]);

        if (error_flag==TRUE)

            { for (j=i-1;j>0;j--){deallocate_resource(resource_vector[j]);}

              i=resource_vector[0]+1; /* force exit from 'i' loop */

            }
      }

return(error_flag);

}
/* _______________________________________________________________________ */

void end_block()

{

UBYTE i;

for(i=resource_vector[0];i>0;i--){deallocate_resource(resource_vector[i]);}

}
/* _______________________________________________________________________ */

BOOL allocate_resource(function_number)

UBYTE function_number;

{

BOOL error_flag=FALSE;

switch (function_number) {

         case OPEN_INTUITION_LIBRARY:

                  if((IntuitionBase=(struct IntuitionBase *)
                  OpenLibrary("intuition.library",INTUITION_VERSION))==NULL)
                   {error_flag=TRUE;}
                  break;

         case OPEN_GRAPHICS_LIBRARY:

                  if((GfxBase=(struct GfxBase *)
                  OpenLibrary("graphics.library",GRAPHICS_VERSION))==NULL)
                   {error_flag=TRUE;}
                  break;

         case OPEN_CUSTOM_SCREEN:

                  if((global_screen_p=(struct Screen *)OpenScreen(&NewScreen))==NULL)
                   {error_flag=TRUE;}
                   else {g_viewport_p=&global_screen_p->ViewPort;}
                   break;

         case  OPEN_WINDOW:

                  NewWindow.Screen=global_screen_p;
                  if((global_window_p=(struct Window *)OpenWindow(&NewWindow))==NULL)
                   {error_flag=TRUE;}
                   else {global_rastport_p=global_window_p->RPort;}
                   break;

         case  SET_MENU_STRIP: if(SetMenuStrip(global_window_p,
                                  &menu1)==FALSE) {error_flag=TRUE;}
                               break;

         default: error_flag=TRUE; break;

                         }
return(error_flag);

}

/* ______________________________________________________________________ */

void deallocate_resource(function_number)

UBYTE function_number;

{

switch (function_number) {

      case OPEN_INTUITION_LIBRARY:  CloseLibrary(IntuitionBase); break;

      case OPEN_GRAPHICS_LIBRARY:   CloseLibrary(GfxBase); break;

      case OPEN_CUSTOM_SCREEN:      CloseScreen(global_screen_p); break;

      case OPEN_WINDOW:             CloseWindow(global_window_p); break;

      case SET_MENU_STRIP:          ClearMenuStrip(global_window_p,&menu1);

      default:                      break;

                         }


}

/* ===================================================================== */







